> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentarea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Skills

> List skills in the workspace.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/skills
openapi: 3.1.0
info:
  description: >-
    Modular and extensible framework for building AI agents. This API requires
    JWT Bearer token authentication for most endpoints. Include your JWT token
    in the Authorization header. Public endpoints include /, /health, /docs,
    /redoc, and /openapi.json.
  title: AgentArea API
  version: 0.1.0
servers: []
security:
  - bearer: []
paths:
  /v1/skills:
    get:
      tags:
        - v1
        - protected
        - skills
      summary: List Skills
      description: List skills in the workspace.
      operationId: list_skills_v1_skills_get
      parameters:
        - description: Filter by source type
          in: query
          name: source_type
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by source type
            title: Source Type
        - description: Filter by network scope
          in: query
          name: network_scope
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by network scope
            title: Network Scope
        - description: Filter registry-created skills
          in: query
          name: from_registry
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Filter registry-created skills
            title: From Registry
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            title: Page Size
            type: integer
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_SkillResponse_'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    PaginatedResponse_SkillResponse_:
      properties:
        has_next:
          title: Has Next
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/SkillResponse'
          title: Items
          type: array
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        total:
          title: Total
          type: integer
      required:
        - items
        - total
        - page
        - page_size
        - has_next
      title: PaginatedResponse[SkillResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SkillResponse:
      description: Skill response model.
      properties:
        created_at:
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          title: Id
          type: string
        is_catalog:
          default: false
          title: Is Catalog
          type: boolean
        name:
          title: Name
          type: string
        network_scope:
          title: Network Scope
          type: string
        registry_item_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Registry Item Id
        slug:
          title: Slug
          type: string
        source_type:
          title: Source Type
          type: string
        source_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Url
        update_available:
          default: false
          title: Update Available
          type: boolean
        updated_at:
          title: Updated At
          type: string
        workspace_id:
          title: Workspace Id
          type: string
      required:
        - id
        - name
        - slug
        - description
        - source_type
        - source_url
        - network_scope
        - workspace_id
        - created_at
        - updated_at
      title: SkillResponse
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearer:
      bearerFormat: JWT
      description: JWT Bearer token for authentication
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````